/*External CSS*/
body {background-color: lightblue;}
p	{ background-color: coral; 
	font-size: 50px;}

span {color: green; background-color: lightpink;
}

span {color: green; background-color: lightpink;
}


/*css selectors*/

/*ID Selector*/

#greeting {color: red; font-size: 10px;}	

/*Class Selector*/

.welcome {color: teal; letter-spacing: 5px;}


/*Attribute Selector*/
[type="text"]
	{background-color: orange;}

/*Type Selector - uses tag name*/
section {font-size: 32px; 
	/*text-align: right;*/
	/*float: right;*/
}

/*Universal - * */
* {
	margin: 0;
	padding: 0;

}

/*CSS Selector Combinators*/

/*Descendant Selector (white space)*/

	/*div	p {
	background-color: red;
	} */

	/*#parent p {background-color: red;}*/

/*div section p { background-color: red; }*/

/*Child Selectr (>) */

/*div > p {
	background-color: red;
	} */

/*#parent>p{
    background-color: red;
}*/
/*General Sibling Selector (~)*/
	/*p ~ p {background-color: red;}*/

/*Adjacent Sibling Selector (+) */

p+p { background-color: red; }

/*div + p { 
	background-color: red;
 }*/



